<div class="top-container">
    <h1>{{ authType === 'login' ? 'Sign in' : 'Create account' }}</h1>
    <button class="auth-type" type="button" (click)="changeAuthType()">
        {{ authType === 'login' ? 'Create account' : 'I already have an account' }}
    </button>
    <form *ngIf="authType === 'login'" [formGroup]="loginForm" (ngSubmit)="signIn()">
        <input type="text" formControlName="login" />
        <input type="password" formControlName="password" />
        <button type="submit">Sign in</button>
    </form>
    <form *ngIf="authType === 'registration'" [formGroup]="registrationForm" (ngSubmit)="signUp()">
        <input type="text" maxlength="200" formControlName="name" />
        <input type="text" maxlength="50" formControlName="login" />
        <input type="password" maxlength="50" formControlName="password" />
        <button type="submit">Sign up</button>
    </form>
</div>